package com.winhc.bigdata.spark.utils

import org.apache.spark.sql.SparkSession

object SparkUtils {

  def InitEnv = {
    val spark = SparkSession
      .builder()
      .appName(this.getClass.getSimpleName)
      .config("spark.sql.broadcastTimeout", 20 * 60)
      .config("spark.sql.crossJoin.enabled", true)
      .config("odps.exec.dynamic.partition.mode", "nonstrict")
      .config("spark.hadoop.odps.project.name", "winhc_test_dev")
      .config("spark.hadoop.odps.access.id", "LTAI4G4n7pAW8tUbJVkkZQPD")
      .config("spark.hadoop.odps.access.key", "uNJOBskzcDqHq1TYG3m2rebR4c1009")
      .config("spark.sql.catalogImplementation", "odps")
      .config("spark.hadoop.odps.end.point", "http://service.cn.maxcompute.aliyun.com/api")
      .config("spark.hadoop.odps.runtime.end.point", "http://service.cn.maxcompute.aliyun-inc.com/api")

    if(System.getProperty("os.name").contains("Windows")){
      spark.master("local[*]")
    }
    spark.getOrCreate()
  }

}
